| Cantera 3.0.0

Loading...
Searching...
No Matches
Public Member Functions | Protected Attributes | List of all members
WallBase Class Reference
Zero-Dimensional Reactor Networks » Walls

Base class for 'walls' (walls, pistons, etc.) connecting reactors. More...

`#include <Wall.h>`

Inheritance diagram for WallBase:
[legend]

## Detailed Description

Base class for 'walls' (walls, pistons, etc.) connecting reactors.

Definition at line 21 of file Wall.h.

## Public Member Functions
| WallBase (const WallBase &)=delete
WallBase & | operator= (const WallBase &)=delete
virtual string | type () const
| String indicating the wall model implemented.
virtual double | vdot (double t)
| Rate of volume change (m^3/s) for the adjacent reactors.
virtual double | expansionRate ()
| Rate of volume change (m^3/s) for the adjacent reactors at current reactor network time.
virtual double | Q (double t)
| Heat flow rate through the wall (W).
virtual double | heatRate ()
| Heat flow rate through the wall (W) at current reactor network time.
double | area ()
| Area in (m^2).
virtual void | setArea (double a)
| Set the area [m^2].
bool | install (ReactorBase &leftReactor, ReactorBase &rightReactor)
| Install the wall between two reactors or reservoirs.
virtual void | initialize ()
| Called just before the start of integration.
virtual bool | ready ()
| True if the wall is correctly configured and ready to use.
ReactorBase & | left () const
| Return a reference to the Reactor or Reservoir to the left of the wall.
const ReactorBase & | right ()
| Return a reference to the Reactor or Reservoir to the right of the wall.
void | setSimTime (double time)
| Set current reactor network time.

## Protected Attributes
ReactorBase * | m_left = nullptr
ReactorBase * | m_right = nullptr
double | m_time = 0.0
| current reactor network time
double | m_area = 1.0

## Constructor & Destructor Documentation

## ◆ ~WallBase()

virtual ~WallBase | ( |  | ) |
| inline virtual

Definition at line 26 of file Wall.h.

## Member Function Documentation

## ◆ type()

virtual string type | ( |  | ) | const
| inline virtual

String indicating the wall model implemented.

Usually corresponds to the name of the derived class.

Reimplemented in Wall.

Definition at line 32 of file Wall.h.

## ◆ vdot()

virtual double vdot | ( | double | t | ) |
| inline virtual

Rate of volume change (m^3/s) for the adjacent reactors.

This method is called by Reactor::evalWalls(). Base class method does nothing (that is, constant volume), but may be overloaded.

Deprecated:
  To be removed after Cantera 3.0; replaceable by expansionRate.

Reimplemented in Wall.

Definition at line 42 of file Wall.h.

## ◆ expansionRate()

virtual double expansionRate | ( |  | ) |
| inline virtual

Rate of volume change (m^3/s) for the adjacent reactors at current reactor network time.

This method is called by Reactor::evalWalls(). Base class method does nothing (that is, constant volume), but may be overloaded.

Since
  New in Cantera 3.0.

Reimplemented in Wall.

Definition at line 55 of file Wall.h.

## ◆ Q()

virtual double Q | ( | double | t | ) |
| inline virtual

Heat flow rate through the wall (W).

This method is called by Reactor::evalWalls(). Base class method does nothing (that is, an adiabatic wall), but may be overloaded.

Deprecated:
  To be removed after Cantera 3.0; replaceable by heatRate.

Reimplemented in Wall.

Definition at line 65 of file Wall.h.

## ◆ heatRate()

virtual double heatRate | ( |  | ) |
| inline virtual

Heat flow rate through the wall (W) at current reactor network time.

This method is called by Reactor::evalWalls(). Base class method does nothing (that is, an adiabatic wall), but may be overloaded.

Since
  New in Cantera 3.0.

Reimplemented in Wall.

Definition at line 77 of file Wall.h.

## ◆ area()

double area | ( |  | ) |
| inline

Area in (m^2).

Definition at line 82 of file Wall.h.

## ◆ setArea()

void setArea | ( | double | a | ) |
| virtual

Set the area [m^2].

Definition at line 26 of file Wall.cpp.

## ◆ install()

bool install | ( | ReactorBase & | leftReactor,
|  | ReactorBase & | rightReactor
| ) |  |

Install the wall between two reactors or reservoirs.

Definition at line 13 of file Wall.cpp.

## ◆ initialize()

virtual void initialize | ( |  | ) |
| inline virtual

Called just before the start of integration.

Definition at line 93 of file Wall.h.

## ◆ ready()

virtual bool ready | ( |  | ) |
| inline virtual

True if the wall is correctly configured and ready to use.

Definition at line 96 of file Wall.h.

## ◆ left()

ReactorBase & left | ( |  | ) | const
| inline

Return a reference to the Reactor or Reservoir to the left of the wall.

Definition at line 101 of file Wall.h.

## ◆ right()

const ReactorBase & right | ( |  | ) |
| inline

Return a reference to the Reactor or Reservoir to the right of the wall.

Definition at line 106 of file Wall.h.

## ◆ setSimTime()

void setSimTime | ( | double | time | ) |
| inline

Set current reactor network time.

Since
  New in Cantera 3.0.

Definition at line 114 of file Wall.h.

## Member Data Documentation

## ◆ m_left

ReactorBase* m_left = nullptr
| protected

Definition at line 119 of file Wall.h.

## ◆ m_right

ReactorBase* m_right = nullptr
| protected

Definition at line 120 of file Wall.h.

## ◆ m_time

double m_time = 0.0
| protected

current reactor network time

Definition at line 123 of file Wall.h.

## ◆ m_area

double m_area = 1.0
| protected

Definition at line 125 of file Wall.h.

The documentation for this class was generated from the following files:

- Wall.h
- Wall.cpp